# kerykeion.enums

View Source

     1from enum import Enum
     2
     3
     4class Planets(Enum):
     5    SUN = "Sun"
     6    MOON = "Moon"
     7    MERCURY = "Mercury"
     8    VENUS = "Venus"
     9    MARS = "Mars"
    10    JUPITER = "Jupiter"
    11    SATURN = "Saturn"
    12    URANUS = "Uranus"
    13    NEPTUNE = "Neptune"
    14    PLUTO = "Pluto"
    15    CHIRON = "Chiron"
    16    TRUE_NODE = "True_Node"
    17    MEAN_NODE = "Mean_Node"
    18    TRUE_SOUTH_NODE = "True_South_Node"
    19    MEAN_SOUTH_NODE = "Mean_South_Node"
    20    MEAN_LILITH = "Mean_Lilith"
    21    ASCENDANT = "Ascendant"
    22    DESCENDANT = "Descendant"
    23    MEDIUM_COELI = "Medium_Coeli"
    24    IMUM_COELI = "Imum_Coeli"
    25
    26
    27class Aspects(Enum):
    28    CONJUNCTION = "Conjunction"
    29    SEXTILE = "Sextile"
    30    SEMI_SEXTILE = "Semi-Sextile"
    31    SQUARE = "Square"
    32    TRINE = "Trine"
    33    OPPOSITION = "Opposition"
    34    QUINCUNX = "Quincunx"
    35    NONE = None
    36    QUINTILE = "Quintile"
    37    BIQUINTILE = "Biquintile"
    38    OCTILE = "Octile"
    39    TRIOCTILE = "Trioctile"
    40    DECILE = "Decile"
    41    TRIDECILE = "Tridecile"
    42    SESQUIQUADRATE = "Sesquiquadrate"
    43
    44
    45class Signs(Enum):
    46    ARI = "Ari"
    47    TAU = "Tau"
    48    GEM = "Gem"
    49    CAN = "Can"
    50    LEO = "Leo"
    51    VIR = "Vir"
    52    LIB = "Lib"
    53    SCO = "Sco"
    54    SAG = "Sag"
    55    CAP = "Cap"
    56    AQU = "Aqu"
    57    PIS = "Pis"

class Planets(enum.Enum): View Source

     5class Planets(Enum):
     6    SUN = "Sun"
     7    MOON = "Moon"
     8    MERCURY = "Mercury"
     9    VENUS = "Venus"
    10    MARS = "Mars"
    11    JUPITER = "Jupiter"
    12    SATURN = "Saturn"
    13    URANUS = "Uranus"
    14    NEPTUNE = "Neptune"
    15    PLUTO = "Pluto"
    16    CHIRON = "Chiron"
    17    TRUE_NODE = "True_Node"
    18    MEAN_NODE = "Mean_Node"
    19    TRUE_SOUTH_NODE = "True_South_Node"
    20    MEAN_SOUTH_NODE = "Mean_South_Node"
    21    MEAN_LILITH = "Mean_Lilith"
    22    ASCENDANT = "Ascendant"
    23    DESCENDANT = "Descendant"
    24    MEDIUM_COELI = "Medium_Coeli"
    25    IMUM_COELI = "Imum_Coeli"

SUN = <Planets.SUN: 'Sun'>
MOON = <Planets.MOON: 'Moon'>
MERCURY = <Planets.MERCURY: 'Mercury'>
VENUS = <Planets.VENUS: 'Venus'>
MARS = <Planets.MARS: 'Mars'>
JUPITER = <Planets.JUPITER: 'Jupiter'>
SATURN = <Planets.SATURN: 'Saturn'>
URANUS = <Planets.URANUS: 'Uranus'>
NEPTUNE = <Planets.NEPTUNE: 'Neptune'>
PLUTO = <Planets.PLUTO: 'Pluto'>
CHIRON = <Planets.CHIRON: 'Chiron'>
TRUE_NODE = <Planets.TRUE_NODE: 'True_Node'>
MEAN_NODE = <Planets.MEAN_NODE: 'Mean_Node'>
TRUE_SOUTH_NODE = <Planets.TRUE_SOUTH_NODE: 'True_South_Node'>
MEAN_SOUTH_NODE = <Planets.MEAN_SOUTH_NODE: 'Mean_South_Node'>
MEAN_LILITH = <Planets.MEAN_LILITH: 'Mean_Lilith'>
ASCENDANT = <Planets.ASCENDANT: 'Ascendant'>
DESCENDANT = <Planets.DESCENDANT: 'Descendant'>
MEDIUM_COELI = <Planets.MEDIUM_COELI: 'Medium_Coeli'>
IMUM_COELI = <Planets.IMUM_COELI: 'Imum_Coeli'>

##### Inherited Members

enum.Enum
  name
  value

class Aspects(enum.Enum): View Source

    28class Aspects(Enum):
    29    CONJUNCTION = "Conjunction"
    30    SEXTILE = "Sextile"
    31    SEMI_SEXTILE = "Semi-Sextile"
    32    SQUARE = "Square"
    33    TRINE = "Trine"
    34    OPPOSITION = "Opposition"
    35    QUINCUNX = "Quincunx"
    36    NONE = None
    37    QUINTILE = "Quintile"
    38    BIQUINTILE = "Biquintile"
    39    OCTILE = "Octile"
    40    TRIOCTILE = "Trioctile"
    41    DECILE = "Decile"
    42    TRIDECILE = "Tridecile"
    43    SESQUIQUADRATE = "Sesquiquadrate"

CONJUNCTION = <Aspects.CONJUNCTION: 'Conjunction'>
SEXTILE = <Aspects.SEXTILE: 'Sextile'>
SEMI_SEXTILE = <Aspects.SEMI_SEXTILE: 'Semi-Sextile'>
SQUARE = <Aspects.SQUARE: 'Square'>
TRINE = <Aspects.TRINE: 'Trine'>
OPPOSITION = <Aspects.OPPOSITION: 'Opposition'>
QUINCUNX = <Aspects.QUINCUNX: 'Quincunx'>
NONE = <Aspects.NONE: None>
QUINTILE = <Aspects.QUINTILE: 'Quintile'>
BIQUINTILE = <Aspects.BIQUINTILE: 'Biquintile'>
OCTILE = <Aspects.OCTILE: 'Octile'>
TRIOCTILE = <Aspects.TRIOCTILE: 'Trioctile'>
DECILE = <Aspects.DECILE: 'Decile'>
TRIDECILE = <Aspects.TRIDECILE: 'Tridecile'>
SESQUIQUADRATE = <Aspects.SESQUIQUADRATE: 'Sesquiquadrate'>

##### Inherited Members

enum.Enum
  name
  value

class Signs(enum.Enum): View Source

    46class Signs(Enum):
    47    ARI = "Ari"
    48    TAU = "Tau"
    49    GEM = "Gem"
    50    CAN = "Can"
    51    LEO = "Leo"
    52    VIR = "Vir"
    53    LIB = "Lib"
    54    SCO = "Sco"
    55    SAG = "Sag"
    56    CAP = "Cap"
    57    AQU = "Aqu"
    58    PIS = "Pis"

ARI = <Signs.ARI: 'Ari'>
TAU = <Signs.TAU: 'Tau'>
GEM = <Signs.GEM: 'Gem'>
CAN = <Signs.CAN: 'Can'>
LEO = <Signs.LEO: 'Leo'>
VIR = <Signs.VIR: 'Vir'>
LIB = <Signs.LIB: 'Lib'>
SCO = <Signs.SCO: 'Sco'>
SAG = <Signs.SAG: 'Sag'>
CAP = <Signs.CAP: 'Cap'>
AQU = <Signs.AQU: 'Aqu'>
PIS = <Signs.PIS: 'Pis'>

##### Inherited Members

enum.Enum
  name
  value